Subject: broadcas network definition

From: Beatriz Silva <[email-masked]>
Date: Thu, 27 Jun 2002 05:18:25 -0500

Hi !

According to RFC 2328 broadcast networks are defined as follows:

Broadcast networks
Networks supporting many (more than two) attached routers,
together with the capability to address a single physical
message to all of the attached routers (broadcast).
Neighboring routers are discovered dynamically on these nets
using OSPF's Hello Protocol.  The Hello Protocol itself
takes advantage of the broadcast capability.  The OSPF
protocol makes further use of multicast capabilities, if
they exist.  Each pair of routers on a broadcast network is
assumed to be able to communicate directly. An ethernet is
an example of a broadcast network.

And there is also a drawing example where, as far as I understood N3 could be a broadcast network.

                 +
                 | 3+---+                     N12      N14
               N1|--|RT1|\ 1                    \ N13 /
                 |  +---+ \                     8\ |8/8
                 +         \ ____                 \|/
                            /    \   1+---+8    8+---+6
                           *  N3  *---|RT4|------|RT5|--------+
                            \____/    +---+      +---+        |
                  +         /   |                  |7         |
                  | 3+---+ /    |                  |          |
                N2|--|RT2|/1    |1                 |6         |
                  |  +---+    +---+8            6+---+        |
                  +           |RT3|--------------|RT6|        |
                              +---+              +---+        |

My question is what physically would be a broadcast network (or what could be inside N3 ?)?

I understand that only one ethernet cable (or ethernet cables connected through hubs) with some computers connected to it would be a broadcast network: every message sent on this network could be listenned by any computer and router. But, what if there are some switches connecting the ethernet cables ? In that case some ethernet segments might not receive the packet sent to hosts in other segments. It still an broadcast network ?

Obs: As far as I understood, N3 is a broadcast network containing only 4 routers: RT1, RT2, RT3 and RT4. Inside the hexagon written N3 would exit only ethernet cables connected by switches (?) or hubs. Is that right ?

I would really appreciate if somebody could answer my question.

Thanks,
Beatriz

--
__________________________________________________________
Sign-up for your own FREE Personalized E-mail at Mail.com
http://www.mail.com/?sr=signup

Save up to $160 by signing up for NetZero Platinum Internet service.
http://www.netzero.net/?refcd=N2P0602NEP8